Bug 1248780 - Clicking switch user causes system to freeze with graphical corruption
Clicking switch user causes system to freeze with graphical corruption
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
22
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-30 15:53 EDT by Neal Gompa
Modified: 2016-07-07 05:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:24:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neal Gompa 2015-07-30 15:53:39 EDT
Description of problem:
When trying to switch users, massive graphical corruption occurs and the system freezes.

Version-Release number of selected component (if applicable):
2.6.5-4.fc22

How reproducible:
Always

Steps to Reproduce:
1. Log in as a user
2. Go to log out
3. Click "Switch user"

Actual results:
System freeze with graphical corruption

Expected results:
Returns to login manager for another user to log in

Additional info:
Login manager is gdm-1:3.16.2-1.fc22

Graphics card is the following:
01:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Caicos [Radeon HD 6450/7450/8450 / R5 230 OEM] (prog-if 00 [VGA controller])
        Subsystem: PC Partner Limited / Sapphire Technology Device e206
        Flags: bus master, fast devsel, latency 0, IRQ 29
        Memory at d0000000 (64-bit, prefetchable) [size=256M]
        Memory at efe20000 (64-bit, non-prefetchable) [size=128K]
        I/O ports at e000 [size=256]
        Expansion ROM at efe00000 [disabled] [size=128K]
        Capabilities: <access denied>
        Kernel driver in use: radeon
        Kernel modules: radeon
Comment 1 leigh scott 2015-08-01 08:52:25 EDT
gdm user switching works fine here, graphical corruption normally indicates a driver issue.
Comment 2 moon@nntq.net 2015-10-31 15:53:59 EDT
also happens to me quite often, although my screen just turns black and then the only way to recover is to reboot via the power button.

If the machine has been running for a week, the restart and install updates do the same, screen turns black and computer freezes with no disk activity.

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09) (prog-if 00 [VGA controller])
        Subsystem: Lenovo Device 21da
        Flags: bus master, fast devsel, latency 0, IRQ 27
        Memory at f0000000 (64-bit, non-prefetchable) [size=4M]
        Memory at e0000000 (64-bit, prefetchable) [size=256M]
        I/O ports at 5000 [size=64]
        Expansion ROM at <unassigned> [disabled]
        Capabilities: <access denied>
        Kernel driver in use: i915
        Kernel modules: i915

Lenovo X220 Intel HD Graphics 3000

Name        : gdm
Arch        : x86_64
Epoch       : 1
Version     : 3.16.3
Release     : 1.fc22
Size        : 3.3 M
Repo        : @System
From repo   : updates
Summary     : The GNOME Display Manager
URL         : https://wiki.gnome.org/Projects/GDM
License     : GPLv2+
Description : GDM provides the graphical login screen, shown shortly after boot up,
            : log out, and when user-switching.
Comment 3 Igor Gnatenko 2016-07-07 05:24:02 EDT
This is old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.